Page MenuHomePhabricator

ATS production-ready as a backend cache layer
Closed, ResolvedPublic

Description

Q2 TEC1 Goal!

  • Purging: T204208 [DONE]
  • Logging T204225 [DONE]
  • Monitoring / Alerting T204209 [DONE]
  • Multi-DC Routing [DONE]
  • Backend-side request-mangling T209021
  • Audit all Varnish-fronted services for lack of TLS, ping owners ahead of needs in FQ3/4 and beyond T210411

Event Timeline

BBlack triaged this task as Normal priority.Oct 15 2018, 4:14 PM
BBlack created this task.
Restricted Application added a project: Operations. · View Herald TranscriptOct 15 2018, 4:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema moved this task from Triage to Caching on the Traffic board.Oct 22 2018, 8:36 AM
ema changed the status of subtask T204209: Define and deploy Icinga checks for ATS backends from Open to Stalled.Nov 6 2018, 4:51 PM
ema updated the task description. (Show Details)Nov 8 2018, 8:47 AM
CDanis added a subscriber: CDanis.Nov 9 2018, 8:04 PM
ema updated the task description. (Show Details)
ema updated the task description. (Show Details)Nov 26 2018, 4:03 PM

Change 475992 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cp1008: point varnish-fe to ATS host

https://gerrit.wikimedia.org/r/475992

Change 475992 merged by Ema:
[operations/puppet@production] cp1008: point varnish-fe to ATS host

https://gerrit.wikimedia.org/r/475992

Change 476311 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: stop using nhw admission policy

https://gerrit.wikimedia.org/r/476311

Change 476311 merged by Ema:
[operations/puppet@production] cache: stop using nhw admission policy

https://gerrit.wikimedia.org/r/476311

Change 476810 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: enable XDebug plugin

https://gerrit.wikimedia.org/r/476810

Change 476810 merged by Ema:
[operations/puppet@production] ATS: XDebug plugin support

https://gerrit.wikimedia.org/r/476810

Change 476814 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] varnish: do not allow X-ATS-Debug to be set from the outside

https://gerrit.wikimedia.org/r/476814

Change 476820 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: add SystemTap probe for uncacheable responses

https://gerrit.wikimedia.org/r/476820

Change 476828 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: do not add X-Forwarded-For

https://gerrit.wikimedia.org/r/476828

Change 476828 merged by Ema:
[operations/puppet@production] ATS: do not add X-Forwarded-For

https://gerrit.wikimedia.org/r/476828

Change 476814 merged by Ema:
[operations/puppet@production] varnish: do not allow X-ATS-Debug to be set from the outside

https://gerrit.wikimedia.org/r/476814

Change 476820 merged by Ema:
[operations/puppet@production] ATS: add SystemTap probe for uncacheable responses

https://gerrit.wikimedia.org/r/476820

ema updated the task description. (Show Details)Dec 3 2018, 2:57 PM

Change 477424 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] Revert "cache: stop using nhw admission policy"

https://gerrit.wikimedia.org/r/477424

Change 477424 merged by BBlack:
[operations/puppet@production] Revert "cache: stop using nhw admission policy"

https://gerrit.wikimedia.org/r/477424

Change 477573 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache_upload: hfp on frontends for large objects except for exp

https://gerrit.wikimedia.org/r/477573

Change 477574 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: stop using nhw admission policy

https://gerrit.wikimedia.org/r/477574

Change 477573 merged by Ema:
[operations/puppet@production] cache_upload: hfp on frontends for large objects except for exp

https://gerrit.wikimedia.org/r/477573

Change 477574 merged by Ema:
[operations/puppet@production] cache: stop using nhw admission policy

https://gerrit.wikimedia.org/r/477574

Change 477763 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: do not add Client-IP and Via to request headers

https://gerrit.wikimedia.org/r/477763

Change 477767 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: add settings for RAM Cache

https://gerrit.wikimedia.org/r/477767

Change 477763 merged by Ema:
[operations/puppet@production] ATS: do not add Client-IP and Via to request headers

https://gerrit.wikimedia.org/r/477763

Change 477767 merged by Ema:
[operations/puppet@production] ATS: add settings for RAM Cache

https://gerrit.wikimedia.org/r/477767

Change 477974 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: define global Lua scripts in plugin.config

https://gerrit.wikimedia.org/r/477974

Change 477974 merged by Ema:
[operations/puppet@production] ATS: define global Lua scripts in plugin.config

https://gerrit.wikimedia.org/r/477974

Change 477990 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: define one single global Lua script

https://gerrit.wikimedia.org/r/477990

Change 477990 merged by Ema:
[operations/puppet@production] ATS: define one single global Lua script

https://gerrit.wikimedia.org/r/477990

Change 478003 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: support Collapsed Forwarding

https://gerrit.wikimedia.org/r/478003

Change 478003 merged by Ema:
[operations/puppet@production] ATS: Collapsed Forwarding support

https://gerrit.wikimedia.org/r/478003

Change 478155 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: set http.wait_for_cache

https://gerrit.wikimedia.org/r/478155

Change 478155 merged by Ema:
[operations/puppet@production] ATS: set http.wait_for_cache

https://gerrit.wikimedia.org/r/478155

Change 478640 had a related patch set uploaded (by Ema; owner: Ema):
[operations/debs/trafficserver@master] trafficserver (8.0.1-1wm1) stretch-wikimedia; urgency=medium

https://gerrit.wikimedia.org/r/478640

Change 478640 merged by Ema:
[operations/debs/trafficserver@master] trafficserver (8.0.1-1wm1) stretch-wikimedia; urgency=medium

https://gerrit.wikimedia.org/r/478640

Mentioned in SAL (#wikimedia-operations) [2018-12-10T13:34:17Z] <ema> trafficserver 8.0.1-1wm1 uploaded to stretch-wikimedia T207048

Change 478774 had a related patch set uploaded (by Ema; owner: Cwhite):
[operations/puppet@production] hiera: add trafficserver cluster definition

https://gerrit.wikimedia.org/r/478774

Change 478774 merged by Cwhite:
[operations/puppet@production] hiera: add cache_ats cluster definition

https://gerrit.wikimedia.org/r/478774

Change 479720 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: origin server certificate validation settings

https://gerrit.wikimedia.org/r/479720

Change 479720 merged by Ema:
[operations/puppet@production] ATS: origin server certificate validation settings

https://gerrit.wikimedia.org/r/479720

Change 480083 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] ATS: use TLS to access kartotherian

https://gerrit.wikimedia.org/r/480083

Change 480083 merged by Ema:
[operations/puppet@production] ATS: use TLS to access kartotherian

https://gerrit.wikimedia.org/r/480083

ema closed this task as Resolved.Jan 9 2019, 9:50 AM

We've added TLS support for maps and fixed the SAN list on swift to ensure proper TLS connections with upload origin servers. This is thus done.